Triggers stock synchronisation for the specified marketplace offers.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers/trigger-stock-synchronisation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"offerKeys": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers/trigger-stock-synchronisation"
payload = { "offerKeys": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offerKeys: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers/trigger-stock-synchronisation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Marketplace Offer
Triggers stock synchronisation for the specified marketplace offers.
Triggers stock synchronisation for the specified marketplace offers.
POST
/
v2
/
marketplace
/
offers
/
trigger-stock-synchronisation
Triggers stock synchronisation for the specified marketplace offers.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Triggers stock synchronisation for the specified marketplace offers. - Request
Marketplace offer keys to include in the next stock synchronisation.
Represents a key for an SCX offer, used for identification and comparison.
Response
Successfully triggered stock synchronisation for the specified marketplace offers.
Was this page helpful?
Triggers offer synchronisation for the specified marketplace offers.Cancel marketplace order cancellation request uploads.
⌘I